"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.nullCsvStatus = exports.nullAnswer = exports.nullInterview = exports.nullQuestion = exports.nullQuestionDetail = exports.nullResult = exports.nullAdminResult = void 0;
/* *******  WARNING ********
object oriented *ish constructors below
consider yourself warned....
****************************/
var NOT_ANSWERED = 'Not Answered';
var nullAdminResult = function () { return ({
    break: NOT_ANSWERED,
    collegeGoal: NOT_ANSWERED,
    engaged: NOT_ANSWERED,
    help: NOT_ANSWERED,
    childrenOverseen: NOT_ANSWERED,
    savingMoneyGoal: NOT_ANSWERED,
    incompletenessExplanation: NOT_ANSWERED,
    otherAffects: NOT_ANSWERED,
}); };
exports.nullAdminResult = nullAdminResult;
var nullResult = function (id, interviewer, school, language, assent, questions) {
    var answers = questions ? questions.map(function (value, i) { return (0, exports.nullAnswer)(i, value); }) : [];
    return {
        adminResult: (0, exports.nullAdminResult)(),
        answers: answers,
        assent: assent || false,
        dateQuestionsStarted: -1,
        dateQuestionsUpdated: -1,
        datePracticeStarted: -1,
        datePracticeUpdated: -1,
        dateSessionStart: -1,
        dateUpdated: Date.now(),
        childId: id || '',
        id: id || '',
        interviewer: interviewer || '',
        language: language || '',
        practiceDuration: 0,
        questionDuration: 0,
        school: school || '',
        sessionDuration: 0,
    };
};
exports.nullResult = nullResult;
var nullQuestionDetail = function () { return ({ leftText: '', rightText: '' }); };
exports.nullQuestionDetail = nullQuestionDetail;
var nullQuestion = function () { return ({
    variableName: 'default',
    engQuestion: (0, exports.nullQuestionDetail)(),
    spnQuestion: (0, exports.nullQuestionDetail)(),
}); };
exports.nullQuestion = nullQuestion;
var nullInterview = function () { return ({ id: '', name: 'none', questions: [] }); };
exports.nullInterview = nullInterview;
var nullAnswer = function (index, variable) {
    // handle index === 0
    var newIndex = index || index === 0 ? index : -1;
    return {
        dateCreated: Date.now(),
        index: newIndex,
        response: 'Not Answered',
        variable: variable || '',
    };
};
exports.nullAnswer = nullAnswer;
var nullCsvStatus = function () { return ({ modified: false, dateUpdated: Date.now() }); };
exports.nullCsvStatus = nullCsvStatus;
